package com.semesterproject.socialmine;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.preference.CheckBoxPreference;
import android.preference.PreferenceManager;
 


/* This class collects privacy settings from UserPrivacyOptions.class
 * and starts the respective Service at bootup is enabled */


public class StartAtBootServiceReceiver extends BroadcastReceiver {
	
	
	@Override
	public void onReceive(Context context, Intent intent) 
	{
		/* Do something after Bootup is completed */
		if (intent.getAction().equals(Intent.ACTION_BOOT_COMPLETED)) {

		
		
		 /* Here we need all the CheckBoxPreferences again, so we need to declare and initialize them */
		SharedPreferences  prefContacts, prefEmail, prefPhone, prefSMS, prefFacebook, prefTwitter, prefYouTube, prefGeolocation;
		
		/*prefContacts = PreferenceManager.getDefaultSharedPreferences(context);
		prefEmail = PreferenceManager.getDefaultSharedPreferences(context);*/
		prefPhone = PreferenceManager.getDefaultSharedPreferences(context);
		/*prefSMS = PreferenceManager.getDefaultSharedPreferences(context);
		prefFacebook = PreferenceManager.getDefaultSharedPreferences(context);
		prefTwitter = PreferenceManager.getDefaultSharedPreferences(context);
		prefYouTube = PreferenceManager.getDefaultSharedPreferences(context);
		prefGeolocation = PreferenceManager.getDefaultSharedPreferences(context);*/


		/* One by one - all activated features at started at bootup */

		/*
		if (prefContacts.getBoolean("checkboxContacts", false)) {
				Intent c = new Intent();
				c.setAction("com.semesterproject.socialmine.UpdaterService");
				context.startService(c);
			 }
		}
		
		if (prefEmail.getBoolean("checkboxEmail", false)) {
				Intent e = new Intent();
				e.setAction("com.semesterproject.socialmine.UpdaterService");
				context.startService(e);
			 }
		}*/
		
		if (prefPhone.getBoolean("checkboxPhone", false)) {
				Intent p = new Intent();
				p.setAction("com.semesterproject.socialmine.UpdaterService");
				context.startService(p);
		}
		
		/*if (prefSMS.getBoolean("checkboxSMS", false)) {
				Intent s = new Intent();
				s.setAction("com.semesterproject.socialmine.UpdaterService");
				context.startService(s);
		}
		
		if (prefFacebook.getBoolean("checkboxFacebook", false)) {
				Intent f = new Intent();
				f.setAction("com.semesterproject.socialmine.UpdaterService");
				context.startService(f);
		}
		
		if (prefTwitter.getBoolean("checkboxTwitter", false)) {
				Intent t = new Intent();
				t.setAction("com.semesterproject.socialmine.UpdaterService");
				context.startService(t);
		}
		
		if (prefYouTube.getBoolean("checkboxYouTube", false)) {
				Intent y = new Intent();
				y.setAction("com.semesterproject.socialmine.UpdaterService");
				context.startService(y);
		}
		
		
		if (prefGeolocation.getBoolean("checkboxGeolocation", false)) {
				Intent i = new Intent();
				i.setAction("com.semesterproject.socialmine.UpdaterService");
				context.startService(i);
		}*/
		
		
	}
		
		
	}
	
}